<template>
  <div>

    <legend>Datos del cónyuge, concubina, concubinario y/o dependientes económicos</legend>

    <div v-if="add_item">

      <div class="row">
        <div class="col-md-4 form-group">
          <label class="control-label">
            Nombre(s)
          </label>
          <input class="form-control" type="text" name="nombres" v-validate="modelValidations.nombres" v-model="model.nombres" placeholder="Nombre(s)" />
          <small class="text-danger" v-show="nombres.invalid">
            {{ getError('nombres') }}
          </small>
        </div>
        <div class="col-md-2 form-group">
          <label class="control-label">
            Primer apellido
          </label>
          <input class="form-control" type="text" name="primer_apellido" v-validate="modelValidations.primer_apellido" v-model="model.primer_apellido" placeholder="Primer apellido" />
          <small class="text-danger" v-show="primer_apellido.invalid">
            {{ getError('primer_apellido') }}
          </small>
        </div>
        <div class="col-md-2 form-group">
          <label class="control-label">
            Segundo apellido
          </label>
          <input class="form-control" type="text" name="segundo_apellido" v-model="model.segundo_apellido" placeholder="Segundo apellido" />
        </div>
        <div class="col-md-2 form-group" v-if="muestraCampos">
          <label class="control-label">
            Fecha de Nacimiento
          </label>
          <div class="form-group">
            <el-date-picker v-model="model.fecha_nacimiento" type="date" placeholder="Pick a day" v-validate="validaciones.fechanac" name="fechanac" format="dd/MM/yyyy">
            </el-date-picker>
            <small class="text-danger" v-show="fechanac.invalid">
              {{ getError('fechanac') }}
            </small>
          </div>
        </div>
        <div class="col-md-2" v-if="muestraCampos">
          <div class="form-group">
            <label class="control-label">
              RFC:
            </label>
            <input class="form-control" type="text" name="rfc" v-validate="modelValidations.rfc" v-model="model.rfc" placeholder="RFC" />
            <small class="text-danger" v-show="rfc.invalid">
              {{ getError('rfc') }}
            </small>
            <small class="text-danger" v-show="validaciones.rfc">
              El formato del RFC no es válido, verifica la información
            </small>
          </div>
        </div>

        <div class="col-md-12 form-group">
          <label class="control-label">
            Relación con el declarante
          </label>
          <el-select  clearable class="select-default" placeholder="Tipo de relación" name="tipo_relacion" filterable v-validate="modelValidations.tipo_relacion" v-model="model.tipo_relacion_dep_id">
            <el-option v-for="option in tiposRelacion" class="select-default" :value="option.id" :label="option.valor" :key="option.codigo">
            </el-option>
          </el-select>
          <small class="text-danger" v-show="tipo_relacion.invalid">
            {{ getError('tipo_relacion') }}
          </small>
        </div>
        <div class="col-md-12 form-group" v-if="model.tipo_relacion_dep_id ==5">
          <label class="control-label">
            Tipo de Relación
          </label>
          <input class="form-control" type="text" name="tipoRelacion" v-validate="modelValidations.otra_relacion" v-model="model.otra_relacion" placeholder="Otra Relación" />
        </div>
        <div class="col-md-6 form-group">
          <label class="control-label">
            Nacionalidad
          </label>
          <el-select  clearable multiple class="select-default" placeholder="Nacionalidades" filterable v-model="model.nac">
            <el-option v-for="option in paisesnac" class="select-default" :value="option.id" :label="option.valor" :key="option.id">
            </el-option>
          </el-select>
        </div>
        <div class="col-md-6">
          <div class="form-group">
            <label class="control-label">
              CURP
            </label>
            <input class="form-control" type="text" name="curp" v-validate="modelValidations.curp" v-model="model.curp" placeholder="CURP" />
            <small class="text-danger" v-show="curp.invalid">
              {{ getError('curp') }}
            </small>
            <small class="text-danger" v-show="validaciones.curp">
              El formato de la CURP no es válido, verifica la información
            </small>
          </div>
        </div>
        <div class="col-md-4">
          <div class="form-group">
            <label class="control-label">
              ¿Es dependiente económico?
            </label>
            <p-radio name="ingresos_propios" v-validate="modelValidations.ingresos_propios" v-model="model.ingresos_propios" :inline="true" label="1">SI</p-radio>
            <p-radio name="ingresos_propios" v-validate="modelValidations.ingresos_propios" v-model="model.ingresos_propios" :inline="true" label="2">NO</p-radio>
          </div>
          <small class="text-danger" v-show="ingresos_propios.invalid">
            {{ getError('ingresos_propios') }}
          </small>
        </div>
        <!--<div class="col-md-4" v-if="muestraCampos">
          <div class="form-group">
            <label class="control-label">
              No. Identificación:
            </label>
            <input class="form-control" type="text" name="numero_identificacion_nacional" v-model="model.numero_identificacion_nacional" placeholder="Número de Identificación Oficial" />
          </div>
        </div>
        -->
        <div class="col-md-4">
          <div class="form-group">
            <label class="control-label">
              ¿Habita en el domicilio del declarante?
            </label>
            <p-radio name="habita_domicilio_declarante" v-validate="modelValidations.habita_domicilio_declarante" v-model="model.habita_domicilio_declarante" :inline="true" label="1">SI</p-radio>
            <p-radio name="habita_domicilio_declarante" v-validate="modelValidations.habita_domicilio_declarante" v-model="model.habita_domicilio_declarante" :inline="true" label="2">NO</p-radio>
          </div>
          <small class="text-danger" v-show="habita_domicilio_declarante.invalid">
            {{ getError('habita_domicilio_declarante') }}
          </small>
        </div>
      </div>
      <div v-if="model.habita_domicilio_declarante == 2">
        <domicilio v-model="n_domicilio" ref="Domicilio" titulo=" del Conyuge/ Dependiente"></domicilio>
      </div>
      <br>
      <div class="row">
        <!--<div class="col-md-8" v-if="muestraCampos">
          <label class="control-label">
            Medio de contacto.
          </label>
          <input class="form-control" type="text" name="medio_contacto" v-validate="modelValidations.medio_contacto" v-model="model.medio_contacto" placeholder="Medio de contacto" />
          <small class="text-danger" v-show="medio_contacto.invalid">
            {{ getError('medio_contacto') }}
          </small>
        </div>
-->


        <div class="col-md-8" v-if="muestraCampos">
          <label class="control-label">
            Ocupación.
          </label>
          <input class="form-control" type="text" name="ocupacion" v-validate="modelValidations.ocupacion" v-model="model.ocupacion_profesion" placeholder="Ocupación/Profesión." />
          <small class="text-danger" v-show="ocupacion.invalid">
            {{ getError('ocupacion') }}
          </small>
        </div>
        <div class="col-md-4" v-if="muestraCampos">
          <label class="control-label">
            Sector/Industria:
          </label>
          <el-select  clearable class="select-default" placeholder="Sector" filterable v-model="model.sector_industria_id">
            <el-option v-for="option in sectores" class="select-default" :value="option.id" :label="option.valor" :key="option.valor">
            </el-option>
          </el-select>
        </div>

        <div class="col-md-4 form-group" v-if="muestraCampos">
          <label class="control-label">
            ¿Es proveedor o contratista de gobierno?
          </label>
          <p-radio name="proveedor" v-validate="modelValidations.proveedor" v-model="model.proveedor_contratista_gobierno" :inline="true" label="1">SI</p-radio>
          <p-radio name="proveedor" v-validate="modelValidations.proveedor" v-model="model.proveedor_contratista_gobierno" :inline="true" label="2">NO</p-radio>

          <small class="text-danger" v-show="proveedor.invalid">
            {{ getError('proveedor') }}
          </small>
        </div>

        <div class="col-md-4 form-group" v-if="muestraCampos">
          <label class="control-label">
            ¿Tiene el familiar o dependiente intereses en el mismo sector/industria al que pertenece el
            empleo oficial del Declarante?
          </label>
          <p-radio name="intereses" v-validate="modelValidations.intereses" v-model="model.tiene_intereses_mismo_sector_declarante" :inline="true" label="1">SI</p-radio>
          <p-radio name="intereses" v-validate="modelValidations.intereses" v-model="model.tiene_intereses_mismo_sector_declarante" :inline="true" label="2">NO</p-radio>

          <small class="text-danger" v-show="intereses.invalid">
            {{ getError('intereses') }}
          </small>
        </div>

        <div class="col-md-4 form-group" v-if="muestraCampos">
          <label class="control-label">
            ¿Desarrolla el familiar o dependiente actividades de cabildeo en el mismo sector/industria al
            que pertenece el empleo oficial del Declarante?
          </label>
          <p-radio name="cabildeo" v-validate="modelValidations.cabildeo" v-model="model.desarrolla_cabildeo_sector_declarante" :inline="true" label="1">SI</p-radio>
          <p-radio name="cabildeo" v-validate="modelValidations.cabildeo" v-model="model.desarrolla_cabildeo_sector_declarante" :inline="true" label="2">NO</p-radio>

          <small class="text-danger" v-show="cabildeo.invalid">
            {{ getError('cabildeo') }}
          </small>
        </div>

        <div class="col-md-4 form-group" v-if="muestraCampos">
          <label class="control-label">
            ¿El familiar o dependiente es beneficiario directo de un programa público (apoyo, subsidio,
            transferencia)?
          </label>
          <p-radio name="programa" v-validate="modelValidations.programa" v-model="model.beneficiario_programa_publico" :inline="true" label="1">SI</p-radio>
          <p-radio name="programa" v-validate="modelValidations.programa" v-model="model.beneficiario_programa_publico" :inline="true" label="2">NO</p-radio>
          <small class="text-danger" v-show="programa.invalid">
            {{ getError('programa') }}
          </small>
        </div>

        <div class="col-md-4 form-group">
          <label class="control-label">
            ¿Se ha desempeñado en la Administración Pública?
          </label>
          <p-radio name="funcion_p" v-validate="modelValidations.funcion_p" v-model="model.desempenia_admon_pub" :inline="true" label="1">SI</p-radio>
          <p-radio name="funcion_p" v-validate="modelValidations.funcion_p" v-model="model.desempenia_admon_pub" :inline="true" label="2">NO</p-radio>
          <small class="text-danger" v-show="funcion_p.invalid">
            {{ getError('funcion_p') }}
          </small>
        </div>



        <div class="col-md-8" v-if="muestraCampos">
          <label class="control-label">
            Observaciones/Comentarios
          </label>
          <input class="form-control" type="text" name="observaciones" v-model="model.observaciones" placeholder="Observaciones/comentarios" />
        </div>
      </div>
      <br>
      <div v-if="model.beneficiario_programa_publico ==1 && muestraCampos">
        <div class="row">
          <div class="col-md-12">
            <label class="control-label">Nombre del Programa </label>
            <input class="form-control" type="text" name="nombre_programa" v-model="model.nombre_programa" placeholder="Medio de contacto" />
          </div>
          <div class="col-md-12">
            <label class="control-label">Institución que otorga el apoyo </label>
            <input class="form-control" type="text" name="institucion_otorga_apoyo" v-model="model.institucion_otorga_apoyo" placeholder="Institución que otorga el apoyo" />
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label class="control-label">
                Tipo de Apoyo
              </label>
              <el-select  clearable class="select-default" placeholder="Tipo de Apoyo" filterable v-model="model.tipos_apoyos_id">
                <el-option v-for="option in tiposApoyo" class="select-default" :value="option.id" :label="option.valor" :key="option.valor">
                </el-option>
              </el-select>
            </div>
          </div>
          <div class="col-md-6">
            <label class="control-label">Valor del Apoyo</label>
            <input class="form-control" type="text" name="valor_apoyo" v-model="model.valor_apoyo" placeholder="Valor del Apoyo" />
          </div>
          <div class="col-md-12">
            <label class="control-label">Observaciones/Comentarios</label>
            <input class="form-control" type="text" name="observaciones" v-model="model.observacionesprog" placeholder="Observaciones" />
          </div>
        </div>
      </div>
      <div v-if="model.desempenia_admon_pub ==1">
        <div class="row">
          <div class="col-md-12">
            <label class="control-label">Entidad o Dependencia en que laboró </label>
            <input class="form-control" type="text" v-validate="validaciones.nombre_dependencia" name="nombre_dependencia" v-model="model.nombre_dependencia" placeholder="Dependencia" />

            <small class="text-danger" v-show="nombre_dependencia.invalid">
              {{ getError('nombre_dependencia') }}
            </small>
          </div>
          <br />

          <div class="col-md-12">
            <h5>Periodo</h5>
          </div>
          <br />
          <div class="col-md-6">
            <label class="control-label">
              Fecha de Inicio
            </label>
            <div class="form-group">
              <el-date-picker v-model="model.fecha_inicio" type="date" placeholder="Seleccione la Fecha" v-validate="validaciones.fecha_inicio" name="fecha_inicio" format="dd/MM/yyyy">
              </el-date-picker>
              <small class="text-danger" v-show="fecha_inicio.invalid">
                {{ getError('fecha_inicio') }}
              </small>
            </div>
          </div>
          <div class="col-md-6">
            <label class="control-label">
              Fecha de Fin
            </label>
            <div class="form-group">
              <el-date-picker v-model="model.fecha_fin" type="date" placeholder="Seleccione la fecha" v-validate="validaciones.fecha_fin" name="fecha_fin" format="dd/MM/yyyy">
              </el-date-picker>
              <small class="text-danger" v-show="fecha_fin.invalid">
                {{ getError('fecha_fin') }}
              </small>
            </div>
          </div>
        </div>
      </div>

      <div class="row justify-content-end m-3">
        <button class="btn btn-success" @click.prevent="addItem()">
          <span>
            <i class="fa fa-save"></i> Guardar
          </span>
        </button>
        <button class="btn btn-danger ml-3" @click.prevent="cancelEdit()">
          <span>
            <i class="fa fa-times"></i> Cancelar
          </span>
        </button>
      </div>
    </div>
    <div v-if="!add_item">
      <div class="row justify-content-end m-3">
        <button class="btn btn-primary" @click.prevent="showItem()">
          <span>
            <i class="fa fa-plus"></i> Agregar
          </span>
        </button>
      </div>

      <div class="row mt-3">
        <div class="col-sm-12 col-md-12 col-lg-12">
          <b-table id="tbl_exp" responsive hover :items="list_dependientes" :fields="fields_list">
            <!-- :fields="fields_list" -->
            <template slot="acciones" slot-scope="row" class="actions">
              <b-button size="sm" @click.prevent="editItem(row)" class="edit mr-2" :disabled="edit_item != null">
                Editar <i class="fas fa-pencil-alt ml-2"></i>
              </b-button>
              <b-button size="sm" @click.prevent="removeItem(row.index)" class="delete mr-2" :disabled="edit_item != null">
                Eliminar <i class="fas fa-trash-alt ml-2"></i>
              </b-button>
            </template>
            <template slot="empty">
              <h5>No existen registros</h5>
            </template>

            <div slot="tipo_relacion_dep_id" slot-scope="row" class="text-right">{{getTipoRel(row.item.tipo_relacion_dep_id)}}</div>
            <div slot="nombres" slot-scope="row">{{getNombre(row.item)}}</div>
            <div slot="curp" slot-scope="row">{{row.item.curp}}</div>
          </b-table>
        </div>
      </div>
    </div>


  </div>
</template>
<script>
  import {
    Tag,
    Select,
    DatePicker
  } from 'element-ui'

  import {
    mapFields
  } from 'vee-validate'


  import Domicilio from '../Domicilio.vue'

  export default {
    components: {
      [Tag.name]: Tag,
      [DatePicker.name]: DatePicker,
      Domicilio
    },
    computed: {
      ...mapFields(['tipo_relacion', 'nombres', 'primer_apellido', 'habita_domicilio_declarante',
        'medio_contacto', 'ingresos_propios', 'ocupacion', 'proveedor', 'intereses', 'cabildeo', 'programa',
        'curp', 'rfc', 'fechanac', 'funcion_p', 'nombre_dependencia', 'fecha_fin', 'fecha_inicio'
      ])
    },
    data() {
      return {
        validaciones: {
          curp: false,
          rfc: false
        },
        ip_id: null,
        muestraCampos: true,
        datePicker: '',
        model: {
          curp: ''
        },
        list_dependientes: [],
        edit_item: null,
        add_item: false,
        paisesnac: {},
        n_domicilio: {},
        nacionalidadArr: [],
        sectores: {},
        tiposRelacion: {},
        tiposApoyo: {},
        modelValidations: {
          funcion_p: {
            required: true
          },
          nombre_dependencia: {
            required: true
          },
          fecha_inicio: {
            required: true
          },
          fecha_fin: {
            required: true
          },
          tipo_relacion: {
            required: true
          },
          nombres: {
            required: true
          },
          primer_apellido: {
            required: true
          },
          habita_domicilio_declarante: {
            required: true
          },
          medio_contacto: {
            required: true
          },
          ingresos_propios: {
            required: true
          },
          ocupacion: {
            required: true
          },
          proveedor: {
            required: true
          },
          intereses: {
            required: true
          },
          cabildeo: {
            required: true
          },
          programa: {
            required: true
          },
          curp: {
            max: 18
          },
          rfc: {
            max: 13
          },
          fechanac: {
            required: true
          }

        },
        fields_list: [
          "acciones",
          {
            key: "tipo_relacion_dep_id",
            label: "Tipo Relacion",
            tdClass: "text-left"
          },
          {
            key: "nombres",
            label: "Nombre",
            tdClass: "text-left"
          },
          {
            key: "curp",
            label: "CURP",
            tdClass: "text-left"
          }
        ]
      }
    },
    watch: {
      n_domicilio: {
        handler: function () {
          if (this.n_domicilio) {
            this.model.domicilio_pais_id = this.n_domicilio.pais_id ? this.n_domicilio.pais_id : 150;
            this.model.domicilio_entidad_federativa = this.n_domicilio.entidadF ? this.n_domicilio.entidadF : "";
            this.model.domicilio_municipio_id = this.n_domicilio.municipio ? this.n_domicilio.municipio : "";
            this.model.domicilio_cp = this.n_domicilio.cp ? this.n_domicilio.cp : "";
            this.model.domicilio_localidad_id = this.n_domicilio.localidad ? this.n_domicilio.localidad : "";
            this.model.domicilio_colonia = this.n_domicilio.colonia ? this.n_domicilio.colonia : "";
            this.model.domicilio_numext = this.n_domicilio.ext ? this.n_domicilio.ext : "";
            this.model.domicilio_numint = this.n_domicilio.int ? this.n_domicilio.int : "";
            this.model.domicilio_nombre_vialidad = this.n_domicilio.vialidad_nombre ? this.n_domicilio.vialidad_nombre : "";
            this.model.domicilio_tipo_vialidad = this.n_domicilio.vialidad ? this.n_domicilio.vialidad : "";

          }
        },
        deep: true
      }
    },
    methods: {
      editDomicilio() {
        this.n_domicilio.pais_id = this.model.domicilio_pais_id;
        this.n_domicilio.entidadF = this.model.domicilio_entidad_federativa;
        this.n_domicilio.municipio = this.model.domicilio_municipio_id;
        this.n_domicilio.localidad = this.model.domicilio_localidad_id;
        this.n_domicilio.cp = this.model.domicilio_cp;
        this.n_domicilio.colonia = this.model.domicilio_colonia;
        this.n_domicilio.vialidad = this.model.domicilio_tipo_vialidad;
        this.n_domicilio.vialidad_nombre = this.model.domicilio_nombre_vialidad;
        this.n_domicilio.ext = this.model.domicilio_numext;
        this.n_domicilio.int = this.model.domicilio_numint;

      },
      limpiaCampos() {
        this.nacionalidadArr = null;
        this.nacionalidadArr = [];
        this.model = {
          tipo_relacion_dep_id: '',
          nombres: '',
          primer_apellido: '',
          segundo_apellido: '',
          nac: '',
          curp: '',
          rfc: '',
          fecha_nacimiento: '',
          proveedor_contratista_gobierno: '',
          habita_domicilio_declarante: '',
          medio_contacto: '',
          ingresos_propios: '',
          ocupacion_profesion: '',
          sector_industria_id: '',
          tiene_intereses_mismo_sector_declarante: '',
          desarrolla_cabildeo_sector_declarante: '',
          beneficiario_programa_publico: '',
          observaciones: '',
          nom_vial: '',
          tipo_vial: ''
        };


      },
      editItem(indice) {
        this.limpiaCampos()
        this.showItem();
        this.edit_item = indice;
        this.model = {
          ...this.list_dependientes[this.edit_item.index]
        };
        var v = this;
        $.each(this.model.nac, function (key, value) {
          v.nacionalidadArr.push(value.nac_id);
        })
        this.model.nac = v.nacionalidadArr;
        this.editDomicilio();

        if (this.model.desempenia_admon_pub == '1') {
          this.model.nombre_dependencia = this.model.entidad.nombre_dependencia;
          this.model.fecha_inicio = this.model.entidad.fecha_inicio;
          this.model.fecha_fin = this.model.entidad.fecha_fin;
        }
        this.edit_item.item._rowVariant = "warning";
        $(".main-panel").animate({
            scrollTop: 1300
          },
          500,
          "swing"
        );
      },
      addItem() {
        this.model.domicilio_pais_id = this.n_domicilio.pais_id ? this.n_domicilio.pais_id : 150;
        this.model.domicilio_entidad_federativa = this.n_domicilio.entidadF ? this.n_domicilio.entidadF : "";
        this.model.domicilio_municipio_id = this.n_domicilio.municipio ? this.n_domicilio.municipio : "";
        this.model.domicilio_cp = this.n_domicilio.cp ? this.n_domicilio.cp : "";
        this.model.domicilio_localidad_id = this.n_domicilio.localidad ? this.n_domicilio.localidad : "";
        this.model.domicilio_colonia = this.n_domicilio.colonia ? this.n_domicilio.colonia : "";
        this.model.domicilio_numext = this.n_domicilio.ext ? this.n_domicilio.ext : "";
        this.model.domicilio_numint = this.n_domicilio.int ? this.n_domicilio.int : "";
        this.model.domicilio_nombre_vialidad = this.n_domicilio.vialidad_nombre ? this.n_domicilio.vialidad_nombre : "";
        this.model.domicilio_tipo_vialidad = this.n_domicilio.vialidad ? this.n_domicilio.vialidad : "";

        this.validate().then(
          response => {
            if (response) {
              this.loadButton(this.$refs.btnSave);

              this.$http.put('dependientesEc/' + this.ip_id, this.model).then(
                response => {
                  this.StepOk("Guardado");
                  /* this.origen_tramites = JSON.parse(JSON.stringify(response.data.tramite));
                  eventBus.$emit("TramiteSaved", response.data.tramite);
                  this.envioRespuesta(true); */
                  if (this.edit_item === undefined || this.edit_item === null) {
                    this.list_dependientes.push({
                      ...this.model
                    });
                  } else {
                    this.list_dependientes.splice(
                      this.edit_item.index,
                      1,
                      this.model
                    );
                    this.edit_item.item._rowVariant = "";
                  }

                  this.showItem();
                  this.limpiaCampos();
                  this.edit_item = null;
                  this.getDependientes()
                },
                error => {
                  this.StepError(error);
                  //this.change =  true;
                }
              );
            } else {
              this.StepW("Hay campos sin completar");
            }

          }
        );


      },
      getSafe(fn, defaultVal) {
        try {
          return fn();
        } catch (e) {
          return defaultVal;
        }
      },
      cancelEdit() {
        if (this.edit_item) {
          this.edit_item.item._rowVariant = "";
        }
        //this.limpiaCampos();
        this.showItem();
        this.edit_item = null;
      },

      showItem() {
        this.add_item = !this.add_item;
      },
      getDependientes() {
        var v = this;
        this.$http.get('dependientesEc/' + this.ip_id).then(
          response => {
            this.list_dependientes = response.data.dependientes;
          },
          error => {
            this.StepError(error);
            console.log(error);
          }
        )
      },
      removeItem(indice) {
        if (this.list_dependientes[indice].id !== null) {

          let item = this.list_dependientes[indice];
          this.Ask("Desea borrar este registro", () => {

            this.$http.delete("dependientesEc/" + item.id).then(
              response => {
                /* eventBus.$emit("TramiteDelete", item); */
                this.list_dependientes.splice(indice, 1)
                this.OK("Registro eliminado");
              },
              error => {
                this.Err(error);
              }
            );


          });
        } else {
          this.Ask("Desea borrar este registro", () => {
            this.list_dependientes.splice(indice, 1);
          });
        }
      },
      getSectores() {
        this.$http.get('cat_sector_industria').then(
          response => {
            this.sectores = response.data.sectores;
          },
          error => {
            this.StepError(error);
            console.log(error);
          }
        )
      },
      getTipoRel(index) {
        var resp = "";
        if (this.tiposRelacion) {
          this.tiposRelacion.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getTipoApoyo() {
        this.$http.get('tipoApoyo').then(
          response => {
            this.tiposApoyo = response.data.tipos_apoyos;
          },
          error => {
            this.StepError(error);
            console.log(error);
          }
        )
      },
      getError(fieldName) {
        return this.errors.first(fieldName)
      },
      validate() {
        var v = this;
        this.validaciones = {
          curp: false
        }

        let validacurp = new Promise(function (resolve, reject) {
          if (v.add_item && (!v.curpValida(v.getSafe(() => v.model.curp, '')))) {
            v.validaciones.curp = true;
            reject(false)
          } else {
            resolve(true)
          }
        });
        var ddependiente = this.$validator.validateAll()

        return Promise.all([ddependiente, validacurp])
      },
      getPaises() {
        this.$http.get('paises').then(
          response => {
            this.paisesnac = response.data.pais;
          },
          error => {
            this.StepError(error);
            console.log(error);
          }
        )
      },
      getTiposR() {
        this.$http.get('tipoRelacDep').then(
          response => {
            this.tiposRelacion = response.data.tipos;
          },
          error => {
            this.StepError(error);
            console.log(error);
          }
        )
      },
      handleInputConfirm() {
        let inputValue = this.tags.inputValue
        if (inputValue) {
          this.tags.dynamicTags.push(inputValue)
        }
        this.tags.inputVisible = false
        this.tags.inputValue = ''
      },
      getTipoRel(index) {
        var resp = "";
        if (this.tiposRelacion) {
          this.tiposRelacion.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getNombre(item) {
        var resp = item.nombres + " " + item.primer_apellido + " " + item.segundo_apellido;

        return resp;
      }
    },
    mounted() {

      this.ip_id = this.getId();
      this.getSectores();
      this.getPaises();
      this.getTiposR();
      //this.getTipoApoyo();
      this.getDependientes();
    }
  }

</script>
<style>


</style>
